/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.remotetail.actions;

import ar.amgomez.idea.remotetail.LogConsoleModel;
import ar.amgomez.idea.remotetail.RemoteTailBundle;
import ar.amgomez.idea.remotetail.logging.LogLevel;

/**
 * Represents the controller for adding/removing the info log level filter to/from the model.
 * @author Alejandro Gomez
 */
public class FilterInfoAction extends FilterAction {

    /**
     * Creates a new instace.
     * @param _logConsoleModel the log console model associated whith this action.
     */
    public FilterInfoAction(final LogConsoleModel _logConsoleModel) {
        super(_logConsoleModel, RemoteTailBundle.message("remotetail.filterInfo.text"), RemoteTailBundle.message("remotetail.filterInfo.description"), RemoteTailBundle.icon("remotetail.filterInfo.icon"));
    }

    /**
     * Returns the info log level.
     * @return the info log level.
     * @see LogLevel#INFO
     */
    @Override
    protected LogLevel getFilterLevel() {
        return LogLevel.INFO;
    }
}
