/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.remotetail.settings.events;

import java.util.EventListener;

/**
 * Interface that gets notifications about configuration changes.
 * @author Alejandro Gomez
 */
public interface SettingsChangeListener extends EventListener {

    /**
     * Method called when the connection selection changes.
     * @param _index the index of the selected connection.
     */
    void connectionSelected(int _index);

    /**
     * Method called when the selected connection changes.
     */
    void connectionChanged();
}
