/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.remotetail.ui;

import javax.swing.InputVerifier;
import javax.swing.JComponent;
import javax.swing.text.JTextComponent;

/**
 * Verifies if the content of a text component is numeric.
 * @author Alejandro Gomez
 */
class NumericInputVerifier extends InputVerifier {

    /**
     * Verifies the text of the compoent.
     * @param _input the component to verify.
     * @return true if the content if numeric.
     */
    @Override
    public boolean verify(final JComponent _input) {
        try {
            final int value = Integer.parseInt(((JTextComponent)_input).getText());
            return value >= 0;
        } catch (NumberFormatException ex) {
            return false;
        }
    }
}
