/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.util;

import org.apache.commons.collections.Predicate;

/**
 * A version of <code>Predicate</code> using Java 5 generics.
 * @author Alejandro Gomez
 * @see Predicate
 */
public interface GenericPredicate<T> {

    /**
     * Evaluates some condition on the passed object.
     * @param _object the object.
     * @return true if the object satifies the desired condition.
     * @see Predicate#evaluate(Object)
     */
    boolean evaluate(T _object);
}
