/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.util;

import org.apache.commons.collections.Transformer;

/**
 * A version of <code>Transformer</code> using Java 5 generics.
 * @author Alejandro Gomez
 * @see Transformer
 */
public interface GenericTransformer<R, T> {

    /**
     * Transforms an object.
     * @param _object the object.
     * @return returns some transformation of the passed object.
     * @see Transformer#transform(Object)
     */
    R transform(T _object);
}
