/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.remotetail;

import ar.amgomez.idea.util.LRAList;
import junit.framework.TestCase;

import java.util.List;

/**
 * Class LRAListTest.
 * @author Alejandro Gomez
 */
public class LRAListTest extends TestCase {

    /**
     * Method testSize.
     */
    public void testSize() {
        final List<Integer> list = new LRAList<Integer>(5);
        assertTrue(list.isEmpty());
        for (int i = 1; i <= 10; i++) {
            list.add(i);
            assertEquals(Math.min(i, 5), list.size());
        }
    }

    /**
     * Method testListIterator.
     */
    public void testListIterator() {
        final List<Integer> list = new LRAList<Integer>(5);
        assertTrue(list.isEmpty());
        for (int i = 1; i <= 10; i++) {
            list.add(i);
            final int firstValue = Math.max(i - 4, 1);
            for (int j = 0; j < list.size(); j++) {
                final int value = list.get(j);
                assertEquals(firstValue + j, value);
            }
        }
    }
}
