/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.remotetail;

import javax.print.DocFlavor;
import javax.print.DocPrintJob;
import javax.print.PrintException;
import javax.print.PrintService;
import javax.print.PrintServiceLookup;
import javax.print.SimpleDoc;

/**
 * @author dimebag
 *         Date: Oct 14, 2006
 *         Time: 2:53:31 AM
 */
public class PrintLogConsoleTest extends BaseRemoteTailTest {

    public void testPrint() throws PrintException {
        final PrintService printService = PrintServiceLookup.lookupDefaultPrintService();
        assertNotNull(printService);
        final DocPrintJob docPrintJob = printService.createPrintJob();
        docPrintJob.print(new SimpleDoc(getProperty("logContent").getBytes(), DocFlavor.BYTE_ARRAY.AUTOSENSE, null), null);
    }
}
