/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.remotetail;

import ar.amgomez.idea.remotetail.logging.AbstractLogEntryProviderTest;
import ar.amgomez.idea.remotetail.logging.LogCategoryTest;
import ar.amgomez.idea.remotetail.logging.LogEntryFactoryTest;
import ar.amgomez.idea.remotetail.logging.LogEntryImplTest;
import ar.amgomez.idea.remotetail.logging.LogEntryProviderFactoryTest;
import ar.amgomez.idea.remotetail.logging.SSHLogEntryProviderTest;
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Class RemoteTailSuite.
 * @author Alejandro Gomez
 */
public class RemoteTailSuite extends TestCase {

    /**
     * Method suite.
     * @return Test
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();
        suite.addTestSuite(LRAListTest.class);
        suite.addTestSuite(LogConsoleFilterTest.class);
        suite.addTestSuite(LogCategoryTest.class);
        suite.addTestSuite(LogEntryImplTest.class);
        suite.addTestSuite(LogEntryFactoryTest.class);
        suite.addTestSuite(AbstractLogEntryProviderTest.class);
        suite.addTestSuite(LogEntryProviderFactoryTest.class);
        suite.addTestSuite(SSHLogEntryProviderTest.class);
        return suite;
    }
}
