/*
 *    Copyright 2006 Alejandro Gomez
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 *
 */
package ar.amgomez.idea.remotetail.ui;

import ar.amgomez.idea.remotetail.BaseRemoteTailTest;
import ar.amgomez.idea.remotetail.net.Client;
import ar.amgomez.idea.remotetail.net.ClientFactory;
import ar.amgomez.idea.remotetail.net.SSHClient;
import ar.amgomez.idea.remotetail.settings.ConnectionInfo;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class RemoteFileChooserTest extends BaseRemoteTailTest {

    public void testUI() throws Exception {
        final ConnectionInfo connectionInfo = getSSHConnectionInfo();
        connectionInfo.setUsePassword(true);
        final Client client = ClientFactory.getInstance().getClient(connectionInfo);
        if (client.connect() && client.authenticate()) {
            final RemoteFileChooser remoteFileChooser = new RemoteFileChooser((SSHClient)client);
            final Object[] wait = {null};
            final JFrame frame = new JFrame("test");
            frame.setContentPane(remoteFileChooser.getPanel());
            frame.addWindowListener(new WindowAdapter() {
                @Override
                public void windowClosing(final WindowEvent _event) {
                    wait[0] = new Object();
                }
            });
            frame.pack();
            frame.setVisible(true);
            while (wait[0] == null) {
                Thread.sleep(1000l);
            }
        }
    }
}
